import os 

class themeMinibase():
    image="rounded-circle account-img"


class Config: 
    # (FLASK) Sectret key wich will be used to secure some requests an connections
    SECRET_KEY = os.environ.get('MINIBASE_SECRET_KEY')

    # (SQLALCHEMY) COnfiguration
    SQLALCHEMY_DATABASE_URI = os.environ.get('MINIBASE_SQLALCHEMY_DATABASE_URI')

    # (MAIL AGENT) Configure mail Server to send EMails.
    MAIL_SERVER     = os.environ.get('MINIBASE_MAIL_SERVER')
    MAIL_USERNAME   = os.environ.get('MINIBASE_MAIL_USERNAME')
    MAIL_PASSWORD   = os.environ.get('MINIBASE_MAIL_PASSWORD')
    MAIL_PORT       = 465
    MAIL_USE_TLS    = False
    MAIL_USE_SSL    = True
