from flask import Blueprint, render_template
from minibase.config import themeMinibase

errors = Blueprint('errors', __name__) # Blueprintis are a way of defining new routes.


@errors.app_errorhandler(404)
def error_404(error):
    return render_template('errors/404.html', theme=themeMinibase), 404


@errors.app_errorhandler(403)
def error_403(error):
    return render_template('errors/403.html', theme=themeMinibase), 403


@errors.app_errorhandler(500)
def error_500(error):
    return render_template('errors/500.html', theme=themeMinibase), 500
